Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PremiumGiveawayParticipantStatus

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PremiumGiveawayParticipantStatus

Direct Known Subclasses:
  `TdApi.PremiumGiveawayParticipantStatusAdministrator`, `TdApi.PremiumGiveawayParticipantStatusAlreadyWasMember`, `TdApi.PremiumGiveawayParticipantStatusDisallowedCountry`, `TdApi.PremiumGiveawayParticipantStatusEligible`, `TdApi.PremiumGiveawayParticipantStatusParticipating`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.PremiumGiveawayParticipantStatus extends TdApi.Object permits TdApi.PremiumGiveawayParticipantStatusEligible, TdApi.PremiumGiveawayParticipantStatusParticipating, TdApi.PremiumGiveawayParticipantStatusAlreadyWasMember, TdApi.PremiumGiveawayParticipantStatusAdministrator, TdApi.PremiumGiveawayParticipantStatusDisallowedCountry
This class is an abstract base class. Contains information about status of a user in a Telegram Premium giveaway.

## Constructor Summary

Constructors
Constructor
Description
`PremiumGiveawayParticipantStatus()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PremiumGiveawayParticipantStatus

public PremiumGiveawayParticipantStatus()
Default class constructor.